define([
    'jquery',
    'slick'
], function ($) {
    "use strict";
    return function(config, element) {

        console.log(config);
        // debugger;
        let slideWrapper = $(element);

        //start the slider
        slideWrapper.not('.slick-initialized').slick({
            fade: config.fade,
            autoplaySpeed: 4000,
            lazyLoad: "progressive",
            dots: true,
            cssEase: "cubic-bezier(0.87, 0.03, 0.41, 0.9)",
            infinite: true,
            speed: config.transition_speed,
            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        arrows: false
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        arrows: false
                    }
                }
            ]
        });
    }
});
